<?php
namespace Blesta\Core\Pricing\Presenter\Build\ServiceChange;

use stdClass;

interface ServiceChangeBuilderInterface
{
    /**
     * Builds a service
     *
     * @param stdClass $service An stdClass object for the service
     * @param array $vars An array of input data
     * @param stdClass $package An stdClass object for the package
     * @param stdClass $pricing An stdClass object for the pricing
     * @param array $options An array of options
     */
    public function build(stdClass $service, array $vars, stdClass $package, stdClass $pricing, array $options);
}
