<?php
namespace Blesta\Core\Pricing\Presenter\Format\Fields;

use stdClass;

interface FormatFieldsInterface
{
    /**
     * Retrieves fields for a service
     *
     * @return stdClass fields
     */
    public function service();

    /**
     * Retrieves fields for service dat
     *
     * @return stdClass fields
     */
    public function serviceData();

    /**
     * Retrieves fields for a service option
     *
     * @return stdClass fields
     */
    public function serviceOption();

    /**
     * Retrieves fields for a service package
     *
     * @return stdClass fields
     */
    public function servicePackage();

    /**
     * Retrieves fields for service pricing
     *
     * @return stdClass fields
     */
    public function servicePricing();

    /**
     * Retrieves fields for a package
     *
     * @return stdClass fields
     */
    public function package();

    /**
     * Retrieves fields for a package option
     *
     * @return stdClass fields
     */
    public function packageOption();

    /**
     * Retrieves fields for a package pricing
     *
     * @return stdClass fields
     */
    public function packagePricing();

    /**
     * Retrieves fields for a tax
     *
     * @return stdClass fields
     */
    public function tax();

    /**
     * Retrieves fields for a discount
     *
     * @return stdClass fields
     */
    public function discount();
}
