<?php
namespace Blesta\Core\Pricing\Presenter;

use Blesta\Core\Pricing\Presenter\Type\ServicePresenter;
use Blesta\Core\Pricing\Presenter\Type\ServiceDataPresenter;
use Blesta\Core\Pricing\Presenter\Type\ServiceChangePresenter;
use Blesta\Pricing\Collection\ItemPriceCollection;

/**
 * Instantiates presenters
 */
class PresenterFactory
{
    /**
     * Creates a new ServicePresenter
     *
     * @param Blesta\Pricing\Collection\ItemPriceCollection $collection The ItemPriceCollection of items to present
     * @return Blesta\Core\Pricing\Presenter\Type\ServicePresenter
     */
    public function service(ItemPriceCollection $collection)
    {
        return new ServicePresenter($collection);
    }

    /**
     * Creates a new ServiceDataPresenter
     *
     * @param Blesta\Pricing\Collection\ItemPriceCollection $collection The ItemPriceCollection of items to present
     * @return Blesta\Core\Pricing\Presenter\Type\ServiceDataPresente
     */
    public function serviceData(ItemPriceCollection $collection)
    {
        return new ServiceDataPresenter($collection);
    }

    /**
     * Creates a new ServiceChangePresenter
     *
     * @param Blesta\Pricing\Collection\ItemPriceCollection $collection The ItemPriceCollection of items to present
     * @return Blesta\Core\Pricing\Presenter\Type\ServiceChangePresenter
     */
    public function serviceChange(ItemPriceCollection $collection)
    {
        return new ServiceChangePresenter($collection);
    }
}
